Description

In a perfect world -

1. Consolidate the run list to include the type (Scan, Inventory, Stock, Depot, etc) so a more robust list of commands can be
executed from a single list.

1. Have a "home" zone designated (guild hall name).

2. Setting for run this command list upon entering "Home"

3. Include a "scan inventory" in the command list

4. More integration with MCP to allow command(s) to start inventory scans or initiate tasks lists

5. "Move to" functionality to various depots and npcs used

6. Add repair functionality to the command list

Sample run through:

1. Enter guild hall, check against home zone. If home zone found, initiate script for ToonX
2. ToonX list:

* Scan Inventory

* Repair (move to mender, repair all)

* Stock ammo

* Stock potions/totems/poisons

* Stock food/drink

* Harvestables (check ponies and goblins, get their goods, send them back out)
* Use depots

* Sell junk

* Place items on broker

* Price broker

*Move to . . . Designate a NPC such as [Guild Strategist] maybe?

Trading becomes a part of this. If possible -

1. Setting for a automatic trading list. Select a list from those available.

2. After scanning inventory, check - Are there any items to trade? [Yes] - move to toon to trade with and start a trade (If [Toon is
currently busy] then wait 1 minute and retry for a max of X retries, then fail the trade and move on)

Optimally the trade command should be able to be in the consolidated list. | personally would run it first in my list of things.

History

#1 - 2014-09-15 09:52 AM - bjcasey

- Status changed from New to In Progress

#2 - 2016-11-24 06:40 PM - bjcasey

bjcasey Ok. First, what is the biggest complaint you
have about my current inventory script?
[20:46] PsychoBunny From a Ul perspective its not intuitive but | can
learn Ul's.
[20:47] Operationally - transmute is not restricting itself

to a bag even when that parameter is included
so | am not using it anymore

Hirelings - dialogues may have changed but tier
10 can be requested but not tier 11

[20:48] Hirelings in the guild hall - tier requested are all
at one level, should be separated for each
Missing the Stock Me is a huge deficiency right
now, that would be my biggest issue

[20:49]

When | think about Stock Me | think of it in this
way:

[20:50]

1. My toon has some of this item(s) on them
and its something | want to keep stocked to a
certain level all the time.

[20:51]

2. My toon is about to do a specific task and
needs to prepare by including a temporary set
of items.

So Stock Me is more of a "Make Ready" for me

[20:52]

Toons return home and Repair, Stock Up on
recurring essentials (food, drink, ammo,
potions, etc)

[20:53]

In a perfect world this would also include the
ability to Flag items for trade to a specific toon
(status items for example) and move to that
toon, open a trade and give those items to
them, whatever is pre-determined on the list

[20:54]

Be able to customize a list of "Junk items" for
sale which would then move to the seller and
sell all the junk

[20:55]

Customize a list of items for Destruction which
would simply be destroyed

This gets the toons to a pretty good state of
being cleaned up and ready for the next round.

[20:56]

That was a nasty, kind of all over the place list |
know

[20:58]

| am loading inventory now. | get V 1.63,
release 2016.07.23 - latest and greatest?

[21:11]

After a few minutes of thought and looking at it,
what | really like about it is the ability to create
lists of things to be done.

[21:13]

| think in the hands of someone wanting to
really automate the cleanup of their toons the
ability through Ogre MCP to have each toon
launch Inventory with an optional parameter of
a list would be outstanding.

[21:14]

Get to the guild hall and hold up so all toons
are free to move on their own. Launch
inventory mytoonname and they would load the
list(s) and get to work.

Being able to load multiple lists into a new one
would be good also as some things overlap.

[21:16]

All the depots for example. Right now as | see it
the settings are across the board but in reality |
use them differently on some toons. Being able
to create a list of things to do with a specific
depot and then include that into a master set of
instructions for a specific toon would be very
beneficial.

[21:17]

Login Info - there is currently no discernible
way to remove a toon from the list once added.

[21:18]

| believe you told me this was going to be
changed to use the Ogre list anyway so maybe
a moot point.

#3 - 2017-02-17 12:16 PM - bjcasey

- Status changed from In Progress to Deferred
